%define nextcloud	nextcloud

%define apache_serverroot	/var/www
%define apache_confdir /etc/httpd/conf.d
%define nc_user apache
%define nc_group apache
%define nc_user_id 48
%define nc_group_id 48
%define nc_dir		%{apache_serverroot}/%{nextcloud}
%define nc_config_dir 	%{nc_dir}/config
%define nc_data_dir 	%{nc_dir}/data
%define nc_data_pdir 	%{nc_dir}

Name:           nextcloud-files

%define prerelease %nil
%define base_version 15.0.0

Version:       	%{base_version}
Release:        1.1

Source0:        http://download.nextcloud.org/community//nextcloud-%{version}.zip
Source1:        apache_conf_default
Source2:        README
Source4:        README.packaging
Source5:	disable-updatechecker.config.php
Source6:	rpmlintrc
Url:            http://www.nextcloud.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        The ownCloud Server - Private file sync and share server
License:        AGPL-3.0 and MIT
Group:          Productivity/Networking/Web/Utilities

%description
ownCloud Server provides you a private file sync and share
cloud. Host this server to easily sync business or private documents
across all your devices, and share those documents with other users of
your ownCloud server on their devices.

%prep
%setup -q -n nextcloud
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE4} .

%build

%install
%define nc_docdir_base /var/www/nextcloud

export NO_BRP_CHECK_BYTECODE_VERSION=true
idir=$RPM_BUILD_ROOT/%{nc_dir}
mkdir -p $RPM_BUILD_ROOT/%{nc_dir}
mkdir -p $RPM_BUILD_ROOT/%{nc_dir}/etc
mkdir -p $RPM_BUILD_ROOT/%{nc_data_dir}
mkdir -p $RPM_BUILD_ROOT/%{nc_config_dir}
mkdir -p $RPM_BUILD_ROOT/%{nc_dir}/core/skeleton

cp -aRf .htaccess .user.ini * $idir
rm -f $idir/debian.*{install,rules,control}
rm -f $idir/README{,.SELinux,.packaging}
sed -e 's@/var/www/nextcloud@%{nc_dir}@' < $idir/apache_conf_default > nextcloud-config-apache.conf.default
rm -f $idir/apache_conf_default

mkdir -p $RPM_BUILD_ROOT/%{nc_docdir_base}
mv README README.packaging nextcloud-config-apache.conf.default $RPM_BUILD_ROOT/%{nc_docdir_base}

cp %{SOURCE5} $idir/config/

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre
getent group  %{nc_group} > /dev/null || sh -x -c "groupadd -r -g %{nc_group_id} %{nc_group}"
getent passwd %{nc_user}  > /dev/null || sh -x -c "useradd  -r -u %{nc_user_id} -g %{nc_group} -c 'Dummy for %{name}' %{nc_user}"

%post
test ! -d %{apache_confdir} && getent passwd %{nc_user} | grep -q "Dummy for %{name}" && sh -x -c "userdel %{nc_user}" || true

%files
%defattr(0644,%{nc_user},%{nc_group},0755)
%dir %{nc_dir}
%{nc_docdir_base}/*
%{nc_docdir_base}/.htaccess
%{nc_docdir_base}/.user.ini

%changelog
* Sat Aug 27 2016 Benjamin Rose <benrose@math.princeton.edu>
- Initial packaging of NextCloud, version 10.0.0
